Skip to main content
GET
/
v1
/
rfq
/
combo-markets
Get combo markets
curl --request GET \
  --url https://combos-rfq-api.polymarket.sh/v1/rfq/combo-markets
{
  "markets": [
    {
      "id": "1897034",
      "condition_id": "0x4cd7...110ff",
      "position_ids": [
        "1012585...362880",
        "1012585...362881"
      ],
      "slug": "fifwc-mex-rsa-2026-06-11-mex",
      "title": "Will Mexico win on 2026-06-11?",
      "outcomes": [
        "Yes",
        "No"
      ],
      "outcome_prices": [
        "0.685",
        "0.315"
      ],
      "image": "https://...",
      "volume": 330327.7128580074,
      "tags": [
        "sports",
        "soccer",
        "games",
        "fifa-world-cup"
      ]
    }
  ],
  "next_cursor": "Mg"
}

Query Parameters

limit
integer
default:50

Number of markets to return. Defaults to 50; maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned as next_cursor by the previous response.

exclude
string

Comma-separated condition IDs to omit, such as markets already shown.

Response

Catalog page of combo-able markets

markets
object[]
required
next_cursor
string | null
required

Cursor for the next page, or null on the final page.